Send message
curl --request POST \
--url https://api.example.com/api/task/v1/{task_id}/message \
--header 'Content-Type: application/json' \
--data '
{
"metadata": {},
"parts": [
{
"metadata": {},
"text": "<string>",
"type": "text-part"
}
],
"reference_task_ids": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
]
}
'import requests
url = "https://api.example.com/api/task/v1/{task_id}/message"
payload = {
"metadata": {},
"parts": [
{
"metadata": {},
"text": "<string>",
"type": "text-part"
}
],
"reference_task_ids": ["3c90c3cc-0d44-4b50-8888-8dd25736052a"]
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
metadata: {},
parts: [{metadata: {}, text: '<string>', type: 'text-part'}],
reference_task_ids: ['3c90c3cc-0d44-4b50-8888-8dd25736052a']
})
};
fetch('https://api.example.com/api/task/v1/{task_id}/message', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"message": {
"created_at": "2023-11-07T05:31:56Z",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"metadata": {},
"parts": [
{
"metadata": {},
"text": "<string>",
"type": "text-part"
}
],
"reference_task_ids": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"task_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
},
"timeline_item": {
"created_at": "2023-11-07T05:31:56Z",
"event_payload": {
"type": "task-status-update",
"status_message_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
},
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"task_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"message": "<string>",
"data": "<unknown>"
}{
"message": "<string>",
"data": "<unknown>"
}{
"message": "<string>",
"data": "<unknown>"
}{
"message": "<string>",
"data": "<unknown>"
}{
"message": "<string>",
"data": "<unknown>"
}task
Send message
Send a message to a task
POST
/
api
/
task
/
v1
/
{task_id}
/
message
Send message
Path Parameters
Task ID
Body
application/json
⌘I